Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	The GNU disk partition manipulation program.
Name:      	parted
Version:   	1.8.8
Release:   	2
Provides:	parted
License: 	GNU/GPL
URL:		http://www.gnu.org
Group:     	System/Base
Source0: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:  glibc-devel
BuildRequires:	e2fsprogs-devel 
BuildRequires:  readline-devel 
BuildRequires:  ncurses-devel 
BuildRequires:  gettext-devel
Prereq(post,preun): /sbin/install-info

%description
The GNU Parted program allows you to create, destroy, resize, move,
and copy hard disk partitions. Parted can be used for creating space
for new operating systems, reorganizing disk usage, and copying data
to new hard disks.

%package	devel
Summary: 	parted development headers.
Group:     	%{group}
Requires: 	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with parted.

%post
/sbin/ldconfig
/sbin/install-info %_infodir/parted.info.gz %_infodir/dir

%preun
/sbin/install-info --delete %_infodir/parted.info.gz %_infodir/dir

%prep
%setup -q -n parted-%{version}

%build
export LDFLAGS="$LDFLAGS -lncurses"
./configure \
--enable-shared \
--with-readline \
--disable-Werror
make

%install
%makeinstall
rm -f $RPM_BUILD_ROOT%_infodir/dir

%files
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING ChangeLog NEWS README THANKS TODO doc/API doc/FAT
%_sbindir
%_mandir
%_libdir/*.so.*
%_infodir
%_locale

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so
%_pkgconfig
#%_datadir/aclocal

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Aug 25 2007 Christian Wasem <wasem@ccux-linux.de> 1.8.8-2
- rebuilt / missing devel package
* Sat Aug 11 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.8.8-1
- Version update
* Sun May 13 2007 Christian Wasem <wasem@ccux-linux.de> 1.8.7-1
- Version update
* Wed Mar 21 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.8.6-1
- Version update
* Sat Mar 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.8.3-1
- Version update
* Sun Feb 04 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.8.2-1
- Version update
* Mon Dec 04 2006 Christian Metzen <metzench@ccux-linux.de> 1.8.1-1
- Version update
* Sat Nov 18 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.8.0-1
- Version update
* Sun May 28 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.7.1-1
- Version update
* Thu May 18 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.7.0-1
- Version update
* Thu Jan 05 2006 Stefan Gottwald <gotti@ccux-linux.de> 1.6.25.1-2
- removed Patches
* Tue Nov 15 2005 Christian Wasem <wasem@ccux-linux.de> 1.6.25.1-1
- Update to Version 1.6.25.1
* Sun Nov 06 2005 Christian Wasem <wasem@ccux-linux.de> 1.6.25-2
- rebuild, removed bad behavior during deinstall package
* Sat Nov 05 2005 Christian Wasem <wasem@ccux-linux.de> 1.6.25-1
- Update to Version 1.6.25, tweaked specfile
* Thu Jul 14 2005 Andreas Roth <aroth@arsoft-online.com> 1.6.23-1
- use rpm macros
- updated to version 1.6.23
* Mon Apr 18 2005 Christian Metzen <metzench@ccux-linux.de> 1.6.22-1
- Version Update to 1.6.22 / rebuild against readline 5.0
* Thu Sep 07 2004 Christian Metzen <metzench@ccux-linux.de> 1.6.14-1
- Initial Release
